import React, { FC, ReactNode } from 'react';
import { Action } from './dialog-action-button';
import { GetContainer } from '../../utils/render-to-container';
import { PropagationEvent } from '../../utils/with-stop-propagation';
import { NativeProps } from '../../utils/native-props';
export declare type DialogProps = {
    afterClose?: () => void;
    afterShow?: () => void;
    image?: string;
    header?: ReactNode;
    title?: ReactNode;
    content?: ReactNode;
    actions?: (Action | Action[])[];
    onAction?: (action: Action, index: number) => void | Promise<void>;
    closeOnAction?: boolean;
    onClose?: () => void;
    closeOnMaskClick?: boolean;
    visible?: boolean;
    getContainer?: GetContainer;
    bodyStyle?: React.CSSProperties;
    bodyClassName?: string;
    maskStyle?: React.CSSProperties;
    maskClassName?: string;
    stopPropagation?: PropagationEvent[];
} & NativeProps;
export declare const Dialog: FC<DialogProps>;
