import { ReactNode, FC } from 'react';
import { PopupProps } from '../popup';
import { CascaderValue, CascaderValueExtend, CascaderOption } from '../cascader-view';
import { NativeProps } from '../../utils/native-props';
export declare type CascaderProps = {
    options: CascaderOption[];
    value?: CascaderValue[];
    defaultValue?: CascaderValue[];
    placeholder?: string;
    onSelect?: (value: CascaderValue[], extend: CascaderValueExtend) => void;
    onConfirm?: (value: CascaderValue[], extend: CascaderValueExtend) => void;
    onCancel?: () => void;
    onClose?: () => void;
    visible?: boolean;
    title?: ReactNode;
    confirmText?: ReactNode;
    cancelText?: ReactNode;
    children?: (items: (CascaderOption | null)[]) => ReactNode;
} & Pick<PopupProps, 'getContainer' | 'afterShow' | 'afterClose' | 'onClick' | 'stopPropagation'> & NativeProps;
export declare const Cascader: FC<CascaderProps>;
